=== Plugins/Samples/WebSkeleton/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(WebSkeleton)

SET(STANDALONE_BUILD ON CACHE BOOL "Standalone build (all the resources are embedded, necessary for releases)")
SET(RESOURCES_ROOT ${CMAKE_SOURCE_DIR}/StaticResources)

include(Framework/Framework.cmake)

set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)
include(${SAMPLES_ROOT}/Common/OrthancPlugins.cmake)

add_library(WebSkeleton SHARED 
  ${AUTOGENERATED_SOURCES}
  )
