=== debian/changelog ===
orthanc (0.9.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Force jQuery version to 1.7.2, as in upstream. Closes: #798514

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 17 Sep 2015 09:11:38 +0200

orthanc (0.9.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Updated URL to the code repository
  * Removal dependency over google-glog

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 07 Aug 2015 19:34:30 +0200

orthanc (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 02 Jul 2015 17:06:06 +0200

orthanc (0.9.0+dfsg-2) unstable; urgency=medium

  * Fix upgrade from testing of orthanc-dev. Closes: #790514
  * Fix upgrade from testing of orthanc-doc. Closes: #790517

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Jul 2015 09:07:19 +0200

orthanc (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version. Closes: #788920
  * Fix debian/copyright
  * Add the ServeFolders plugin
  * Removal of the liborthancclient* packages
  * Improvements to the documentation

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 03 Jun 2015 14:47:20 +0200

orthanc (0.8.6+dfsg-2) experimental; urgency=medium

  * New packages: orthanc-dev and orthanc-doc
  * Refactoring for the orthanc-postgresql package

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 03 Mar 2015 11:11:05 +0100

orthanc (0.8.6+dfsg-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 12 Feb 2015 17:13:53 +0100

orthanc (0.8.5+dfsg-1) experimental; urgency=medium

  [ Sebastien Jodogne ]
  * New upstream version

  [ Andreas Tille ]
  * d/watch: repacksuffix=+dfsg

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 04 Nov 2014 16:47:54 +0100

orthanc (0.8.4+dfsg-2) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * Fix crash if bad credentials in HTTP requests

  [ Gianfranco Costamagna ]
  * Fix base64 copyright, seems more zlib than BSD
    Closes: #767062

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 28 Oct 2014 09:36:34 +0100
