## orthanc 1.0.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libboost-all-dev,
                libcharls-dev,
                libcurl4-openssl-dev | libcurl4-dev,
-               libdcmtk2-dev,
+               libdcmtk-dev,
                libgtest-dev (>= 1.6.0),
                libjpeg-dev,
                libjs-jquery (>= 1.7.2),
@@ -28,8 +28,8 @@
                uuid-dev,
                zlib1g-dev,
                yui-compressor
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc.git
+Vcs-Git: git://anonscm.debian.org/debian-med/orthanc.git
 
 Package: orthanc
 Architecture: any
