=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,9 @@
 	-DSTANDALONE_BUILD:BOOL=ON \
 	-DUSE_SYSTEM_MONGOOSE:BOOL=OFF \
 	-DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
-	-DDCMTK_DICTIONARY_DIR:PATH=/usr/share/libdcmtk2 \
 	-DDCMTK_LIBRARIES:STRING=dcmjpls \
 	-DUNIT_TESTS_WITH_HTTP_CONNEXIONS:BOOL=OFF \
+	-DDCMTK_DICTIONARY_DIR:PATH=/usr/share/libdcmtk5 \
 	-DCMAKE_BUILD_TYPE=""
 
 override_dh_auto_configure:
@@ -78,13 +78,16 @@
         # Move the Orthanc binaries to "/usr/sbin"
 	dh_install Build/Orthanc usr/sbin
 
-        # Move the "ServeFolder" plugin at the proper place for shared libraries
+        # Move the basic plugins at the proper places for shared libraries
 	dh_install usr/share/orthanc/plugins/libServeFolders.so.$(UPSTREAM_VERSION) usr/lib/orthanc
+	dh_install usr/share/orthanc/plugins/libModalityWorklists.so.$(UPSTREAM_VERSION) usr/lib/orthanc
 
 override_dh_link:
-        # Create a link to the shared library of the plugin
+        # Create a link to the shared library of the plugins
 	dh_link usr/lib/orthanc/libServeFolders.so.$(UPSTREAM_VERSION) \
 	        usr/share/orthanc/plugins/libServeFolders.so
+	dh_link usr/lib/orthanc/libModalityWorklists.so.$(UPSTREAM_VERSION) \
+	        usr/share/orthanc/plugins/libModalityWorklists.so
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS
