=== debian/changelog ===
orthanc (1.0.0+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild for the libjsoncpp transition.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 10 Feb 2016 11:01:04 +0100

orthanc (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 16 Dec 2015 13:24:18 +0100

orthanc (0.9.6+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Moved packaging repository from SVN to Git

  [ Sebastien Jodogne ]
  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 11 Dec 2015 08:57:02 +0100

orthanc (0.9.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 03 Dec 2015 10:38:27 +0100

orthanc (0.9.4+dfsg-2) unstable; urgency=medium

  * Build-depend on libdcmtk-dev instead of libdcmtk2-dev. Closes: #804571

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 10 Nov 2015 16:23:28 +0100
