=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g" \
http://www.orthanc-server.com/browse.php?path=/orthanc downloads/get\.php\?path=/orthanc/Orthanc-(\d\S*)\.tar\.gz
